/*
 * Simulator of AVR (savr.cc)
 *
 * Copyright (C) 1999,99 Drotos Daniel, Talker Bt.
 * 
 * To contact author send email to drdani@mazsola.iit.uni-miskolc.hu
 *
 */

/* This file is part of AVR simulator: s51.

S51 is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

S51 is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with S51; see the file COPYING.  If not, write to the Free
Software Foundation, 59 Temple Place - Suite 330, Boston, MA
02111-1307, USA. */
/*@1@*/

#include <stdio.h>

#include "simcl.h"

#include "avrcl.h"


void foo(class cl_avr *avr)
{
  int i;
  for (i= 0; i < 20; i++)
    {
      avr->write_mem(MEM_SFR, i, i);
      printf("SFR[%d]= %d\n", i, avr->read_mem(MEM_SFR, i));
    }
}


class cl_simavr: public cl_sim
{
public:
  cl_simavr(char *more_args, int iargc, char *iargv[]):
    cl_sim(more_args, iargc, iargv) {}
};


void
main(int argc, char *argv[])
{
  class cl_simavr *sim;
  class cl_avr *avr;
  
  sim= new cl_simavr(0, argc, argv);
  sim->init();
  avr= new cl_avr(sim);
  avr->init();
  foo(avr);
  delete avr;
}


/* End of savr.cc */
